{% extends 'admin/adminbase.html.twig' %}
{% import "macros/datatable.html.twig" as dt %}

{% block moreCss %}
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.4.0/css/font-awesome.min.css">
    <link rel="stylesheet" href="{{ asset('froalla/plugins/css/froala_editor.min.css') }} ">
    <link rel="stylesheet" href="{{ asset('froalla/plugins/css/froala_style.min.css') }} ">
{% endblock %}
{% block body %}
    <div class="card-genossys">
        <h5>Jenis</h5>
        <div class="pb-5">
            <div class="float-right">
                <a class="btn btn-primary" href="{{ add_url }}">Tambahkan Naskah</a>
            </div>
        </div>
        {{ dt.datatable }}
    </div>

    <div class="p-3">

    </div>
{% endblock %}

{% block javascripts %}
    {{ dt.datatableJS(class, space, tableAction, tableFields,where) }}

    <script>
        $(document).on('click', 'a#editData', function () {
            let path = "{{ path("try-out-quiz-edit", {subject : "0", idQuiz:"00"}) }}"
            path = path.replace("0", "{{ subject }}");
            path = path.replace("00", $(this).data('cred'));
            window.location = path;
        });
    </script>
{% endblock %}